# Uses of Interface
org.eclipse.net4j.db.ddl.IDBField

Packages that use IDBField
Package
Description
org.eclipse.net4j.db
The Net4j DB framework.
org.eclipse.net4j.db.ddl
The Net4j DB framework concepts for the abstraction of the SQL data definition language.
org.eclipse.net4j.db.ddl.delta
The Net4j DB framework concepts for the abstraction of schema deltas.
org.eclipse.net4j.db.derby
The Net4j DB Framework support for Derby databases.
org.eclipse.net4j.db.h2
The Net4j DB Framework support for H2 databases.
org.eclipse.net4j.db.hsqldb
The Net4j DB Framework support for HSQLDB databases.
org.eclipse.net4j.db.mysql
The Net4j DB Framework support for MYSQL databases.
org.eclipse.net4j.db.postgresql
The Net4j DB Framework support for PostgreSQL databases.
org.eclipse.net4j.spi.db
Server service provider interfaces and useful base implementations for the Net4j DB framework.
org.eclipse.net4j.spi.db.ddl
Server service provider interfaces for the Net4j DB framework.

## Uses of IDBField in org.eclipse.net4j.db

Fields in org.eclipse.net4j.db declared as IDBField
Modifier and Type
Field
Description
`protected final IDBField`
BatchingIDChanger.`idField`
Methods in org.eclipse.net4j.db with parameters of type IDBField
Modifier and Type
Method
Description
`void`
DBUtil.DeserializeRowHandler.`handleRow(org.eclipse.net4j.util.io.ExtendedDataInput in, Connection connection, IDBField[] fields, Object[] values)`
`void`
DBUtil.SerializeRowHandler.`handleRow(org.eclipse.net4j.util.io.ExtendedDataOutput out, Connection connection, IDBField[] fields, Object[] values)`
`static Object[]`
DBUtil.`select(Connection connection, String where, IDBField... fields)`
`static int`
DBUtil.`select(Connection connection, IDBRowHandler rowHandler, String where, IDBField... fields)`
`static int`
DBUtil.`select(Connection connection, IDBRowHandler rowHandler, IDBField... fields)`
`static int`
DBUtil.`selectMaximumInt(Connection connection, IDBField field, String... where)`
`static long`
DBUtil.`selectMaximumLong(Connection connection, IDBField field, String... where)`
`static int`
DBUtil.`selectMinimumInt(Connection connection, IDBField field, String... where)`
`static long`
DBUtil.`selectMinimumLong(Connection connection, IDBField field, String... where)`
`String`
IDBAdapter.`sqlModifyField(IDBField field)`
`String`
IDBAdapter.`sqlRenameField(IDBField field, String oldName)`
Constructors in org.eclipse.net4j.db with parameters of type IDBField
Modifier
Constructor
Description
``
`BatchingIDChanger(StatementBatcher batcher, IDBField idField)`
``
`BatchingIDChanger(StatementBatcher batcher, IDBField idField, IDBTable table)`

## Uses of IDBField in org.eclipse.net4j.db.ddl

Methods in org.eclipse.net4j.db.ddl that return IDBField
Modifier and Type
Method
Description
`IDBField`
IDBTable.`addField(String name, DBType type)`
`IDBField`
IDBTable.`addField(String name, DBType type, boolean notNull)`
`IDBField`
IDBTable.`addField(String name, DBType type, int precision)`
`IDBField`
IDBTable.`addField(String name, DBType type, int precision, boolean notNull)`
`IDBField`
IDBTable.`addField(String name, DBType type, int precision, int scale)`
`IDBField`
IDBTable.`addField(String name, DBType type, int precision, int scale, boolean notNull)`
`IDBField`
IDBIndex.`getField(int position)`
`IDBField`
IDBIndex.`getField(String name)`
`IDBField`
IDBIndexField.`getField()`
`IDBField`
IDBTable.`getField(int position)`
`IDBField`
IDBTable.`getField(String name)`
`IDBField[]`
IDBIndex.`getFields()`
`IDBField[]`
IDBTable.`getFields()`
`IDBField[]`
IDBTable.`getFields(String... fieldNames)`
`IDBField`
IDBIndex.`getFieldSafe(String name)`
`IDBField`
IDBTable.`getFieldSafe(String name)`
Methods in org.eclipse.net4j.db.ddl with parameters of type IDBField
Modifier and Type
Method
Description
`IDBIndex`
IDBTable.`addIndex(String name, IDBIndex.Type type, IDBField... fields)`
`IDBIndex`
IDBTable.`addIndex(IDBIndex.Type type, IDBField... fields)`
`IDBIndexField`
IDBIndex.`addIndexField(IDBField field)`
`boolean`
IDBTable.`hasIndexFor(IDBField... fields)`
`void`
IDBSchemaVisitor.Default.`visit(IDBField element)`
`void`
IDBSchemaVisitor.`visit(IDBField field)`

## Uses of IDBField in org.eclipse.net4j.db.ddl.delta

Methods in org.eclipse.net4j.db.ddl.delta that return IDBField
Modifier and Type
Method
Description
`IDBField`
IDBFieldDelta.`getSchemaElement(IDBSchema schema)`

## Uses of IDBField in org.eclipse.net4j.db.derby

Methods in org.eclipse.net4j.db.derby with parameters of type IDBField
Modifier and Type
Method
Description
`protected String`
DerbyAdapter.`getTypeName(IDBField field)`

## Uses of IDBField in org.eclipse.net4j.db.h2

Methods in org.eclipse.net4j.db.h2 with parameters of type IDBField
Modifier and Type
Method
Description
`protected String`
H2Adapter.`getTypeName(IDBField field)`
`protected boolean`
H2Adapter.`isPrimaryKeyShadow(Connection connection, IDBTable table, String name, IDBIndex.Type type, IDBField[] fields)`
`String`
H2Adapter.`sqlRenameField(IDBField field, String oldName)`

## Uses of IDBField in org.eclipse.net4j.db.hsqldb

Methods in org.eclipse.net4j.db.hsqldb with parameters of type IDBField
Modifier and Type
Method
Description
`protected String`
HSQLDBAdapter.`getTypeName(IDBField field)`

## Uses of IDBField in org.eclipse.net4j.db.mysql

Methods in org.eclipse.net4j.db.mysql with parameters of type IDBField
Modifier and Type
Method
Description
`protected void`
MYSQLAdapter.`addIndexField(StringBuilder builder, IDBField field)`
`protected String`
MYSQLAdapter.`getTypeName(IDBField field)`
`String`
MYSQLAdapter.`sqlRenameField(IDBField field, String oldName)`

## Uses of IDBField in org.eclipse.net4j.db.postgresql

Methods in org.eclipse.net4j.db.postgresql with parameters of type IDBField
Modifier and Type
Method
Description
`protected String`
PostgreSQLAdapter.`getTypeName(IDBField field)`

## Uses of IDBField in org.eclipse.net4j.spi.db

Methods in org.eclipse.net4j.spi.db with parameters of type IDBField
Modifier and Type
Method
Description
`protected void`
DBAdapter.`addIndexField(StringBuilder builder, IDBField field)`
`protected void`
DBAdapter.`createField(Connection connection, String tableName, IDBField field)`
Deprecated.
As of 4.13 use `DBAdapter.createField(Connection, IDBField)` instead.
`protected void`
DBAdapter.`createField(Connection connection, IDBField field)`
`protected String`
DBAdapter.`createFieldDefinition(IDBField field)`
`protected void`
DBAdapter.`dropField(Connection connection, IDBField field)`
`protected String`
DBAdapter.`getTypeName(IDBField field)`
`protected boolean`
DBAdapter.`isPrimaryKeyShadow(Connection connection, IDBTable table, String name, IDBIndex.Type type, IDBField[] fields)`
`String`
DBAdapter.`sqlModifyField(IDBField field)`
`String`
DBAdapter.`sqlRenameField(IDBField field, String oldName)`

## Uses of IDBField in org.eclipse.net4j.spi.db.ddl

Subinterfaces of IDBField in org.eclipse.net4j.spi.db.ddl
Modifier and Type
Interface
Description
`interface`
`InternalDBField`
Fields in org.eclipse.net4j.spi.db.ddl declared as IDBField
Modifier and Type
Field
Description
`static final IDBField[]`
InternalDBTable.`NO_FIELDS`
Methods in org.eclipse.net4j.spi.db.ddl that return IDBField
Modifier and Type
Method
Description
`IDBField`
InternalDBField.`getWrapper()`
Methods in org.eclipse.net4j.spi.db.ddl with parameters of type IDBField
Modifier and Type
Method
Description
`String`
InternalDBSchema.`createIndexName(IDBTable table, IDBIndex.Type type, IDBField[] fields, int position)`
`void`
InternalDBTable.`removeField(IDBField fieldToRemove)`